Package Details: package-query-git 1.9.r10.gb912c5b-2

Git Clone URL: https://aur.archlinux.org/package-query-git.git (read-only)
Package Base: package-query-git
Description: Query ALPM and AUR
Upstream URL: https://github.com/archlinuxfr/package-query
Licenses: GPL
Conflicts: package-query
Provides: package-query=1.9
Submitter: tuxce
Maintainer: archlinuxfr (Skunnyk, f2404)
Last Packager: f2404
Votes: 153
Popularity: 0.638623
First Submitted: 2010-03-15 13:14
Last Updated: 2018-06-05 02:16

Dependencies (3)

Required by (5)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

Anonymous comment on 2011-10-27 21:07

I also confirm that this works when manually built. Meanwhile, for some reason the version auto-built on @files.shadowice.org/nightly/x86_64/ does not. o_O

karol_007 commented on 2011-10-14 15:47

Works for me.

FredBezies commented on 2011-10-13 19:36

Cannot get it build with pacman from testing.

gcc -DLOCALEDIR=\"/usr/share/locale\" -DCONFFILE=\"/etc/pacman.conf\" -DROOTDIR=\"/\" -DDBPATH=\"/var/lib/pacman/\" -DAUR_BASE_URL=\"http://aur.archlinux.org\" -DHAVE_CONFIG_H -DGIT_VERSION=\"0.9-1-gb803\" -I. -I.. -D_GNU_SOURCE -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -MT aur.o -MD -MP -MF .deps/aur.Tpo -c -o aur.o aur.c
In file included from aur.c:31:0:
alpm-query.h:55:25: erreur: unknown type name ‘pmdb_t’
alpm-query.h:56:25: erreur: unknown type name ‘pmdb_t’
alpm-query.h:57:15: erreur: unknown type name ‘pmdb_t’
alpm-query.h:58:17: erreur: unknown type name ‘pmdb_t’
alpm-query.h:59:14: erreur: unknown type name ‘pmdb_t’
alpm-query.h:64:21: erreur: unknown type name ‘pmpkg_t’
alpm-query.h:65:1: erreur: unknown type name ‘pmpkg_t’
alpm-query.h:66:1: erreur: unknown type name ‘pmpkg_t’
alpm-query.h:66:24: erreur: unknown type name ‘pmpkg_t’
In file included from aur.c:32:0:
util.h:130:2: erreur: unknown type name ‘pmdepmod_t’
make[2]: *** [aur.o] Erreur 1
make[2] : on quitte le répertoire « /home/fred/download/package-query-git/src/package-query-build/src »
make[1]: *** [all-recursive] Erreur 1
make[1] : on quitte le répertoire « /home/fred/download/package-query-git/src/package-query-build »
make: *** [all] Erreur 2

Anonymous comment on 2011-09-10 10:33

pacman_4 branch of the package-query git repo works with pacman 4.0.0 (pacman-git).

Anonymous comment on 2011-08-18 04:07

Adverticement: Packagq-Query-Git Not work nor compile w/ Pacman 4.0.0RC1 in This moment
please use Pacman 3.5.x for using w/ package-query-git

th0th commented on 2011-04-26 15:29

I've rebuilt package-query-git package and it worked without yajl1, fyi.

sweston commented on 2011-04-26 08:24

Some kind soul has made a yajl1 package. That has provided a temporary fix for my problems: http://aur.archlinux.org/packages.php?ID=48500

Hopefully the package-query guys will update to yajl 2 in the near future.

Anonymous comment on 2011-04-26 05:35

package-query: error while loading shared libraries: libyajl.so.1: cannot open shared object file: No such file or directory

if you using yajl-2.0

misc commented on 2011-04-14 18:15

There's already a newer version from git installed, sorry. It was built on that day, though. Anyway, it didn't appear the times I repeated the command immediately afterward. I think it may have somehow been due to "my" bittorrent which causes the time necessary to establish a connection to become extremely long.

tuxce commented on 2011-04-14 09:58

@misc, package version is not accurate enough (I can't know what commit is concerned), "package-query -v" is better.
Can you repeat this bug ?